import time
print "Aussie Rules Coach, an AFL management simulator."
print 'Copyright (C) 2011  James-Robert Knight'
print ' '
print 'This program is free software: you can redistribute it and/or modify'
print 'it under the terms of the GNU General Public License as published by'
print 'the Free Software Foundation, either version 3 of the License, or'
print '(at your option) any later version.'
print ' '
print 'This program is distributed in the hope that it will be useful,'
print 'but WITHOUT ANY WARRANTY; without even the implied warranty of'
print 'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the'
print 'GNU General Public License for more details.'
print ' '
print 'You should have received a copy of the GNU General Public License'
print 'along with this program.  If not, see <http://www.gnu.org/licenses/>.'
print ' '
time.sleep(10)

class writer :
        def __init__(self, *writers) :
                self.writers = writers

        def write(self, text) :
                for w in self.writers :
                        w.write(text)
import sys
import random
import easygui
team_file = open('team_file.txt','r')

saved = sys.stdout
fout = file('match.log', 'w')
yes = set(['yes','y', 'ye', ''])
no = set(['no','n'])
choice = easygui.buttonbox("Do you have a file to import?",
choices = ['yes', 'no'] )
if choice in yes:
    hometeam = team_file.readline()
    awayteam = team_file.readline()
    homepower = team_file.readline()
    homepower = int(homepower)
    if homepower < 20 or homepower > 100:
        print "Error: Match rating out of range. Try again"
        sys.exit() 
    awaypower = team_file.readline()
    awaypower = int(awaypower)
    if awaypower < 20 or awaypower > 100:
        print "Error: Match rating out of range. Try again"
        sys.exit()
    stadiumname = team_file.readline()
    stadcapacity = team_file.readline()
    matchtype = team_file.readline()
elif choice in no:
    choice2 = easygui.buttonbox("Do you want to pick an AFL team?",
    choices = ['yes', 'no'] )
    if choice2 in yes:
        hometeam = easygui.choicebox("What is the home team?",
        choices = ['Blues', 'Bombers', 'Bulldogs', 'Cats', 'Crows', 'Dockers', 'Demons', 'Eagles', 'Giants', 'Hawks', 'Kangaroos', 'Lions', 'Magpies', 'Power', 'Saints', 'Suns', 'Swans', 'Tigers'] )
        awayteam = easygui.choicebox("What is the away team?",
        choices = ['Blues', 'Bombers', 'Bulldogs', 'Cats', 'Crows', 'Dockers', 'Demons', 'Eagles', 'Giants', 'Hawks', 'Kangaroos', 'Lions', 'Magpies', 'Power', 'Saints', 'Suns', 'Swans', 'Tigers'] )
    elif choice2 in no:
        hometeam = easygui.enterbox("What is the home team?")
        awayteam = easygui.enterbox("What is the away team?")
    else:
        sys.stdout.write("Please respond with 'yes' or 'no'")
    homepower = easygui.enterbox('How good is the home team (20-100)?')
    homepower = int(homepower)
    if homepower < 20 or homepower > 100:
        print "Error: Match rating out of range. Try again"
        sys.exit()
    awaypower = easygui.enterbox('How good is the away team (20-100)?')
    awaypower = int(awaypower)
    if awaypower < 20 or awaypower > 100:
        print "Error: Match rating out of range. Try again"
        sys.exit()
    choice3 = easygui.buttonbox("Do you want to pick a stadium?",
    choices = ['yes', 'no'] )
    if choice3 in yes:
        stadiumname = easygui.choicebox("What is the stadium?",
        choices = ['Melbourne', 'Docklands', 'Sydney', 'Homebush', 'Cairns', 'West Sydney', 'Brisbane', 'Adelaide', 'Perth', 'Launceston', 'Darwin', 'Canberra', 'Gold Coast', 'Geelong'] )
    elif choice3 in no:
        stadiumname = easygui.enterbox('What is the stadium?')
    else:
        sys.stdout.write("Please respond with 'yes' or 'no'")
    stadcapacity = easygui.enterbox('What is the capacity?')
    choice4 = easygui.buttonbox("Do you want to pick a match type?",
    choices = ['yes', 'no'] )
    if choice4 in yes:
        matchtype = easygui.choicebox("What is the match?",
        choices = ['Pre-Season', 'Home & Away', 'Special', 'Finals Series', 'Grand Final'] )
    elif choice4 in no:
        matchtype = easygui.enterbox('What is the match?')
    else:
        sys.stdout.write("Please respond with 'yes' or 'no'")
else:
   sys.stdout.write("Please respond with 'yes' or 'no'")
stadcapacity = int(stadcapacity)
spectators = random.randint(stadcapacity / 20, stadcapacity)

print "Welcome to this",matchtype,"with",hometeam,"versus",awayteam,"and I'm James Knight"
print "We are here at",stadiumname,"in front of",spectators,"spectators."
time.sleep(5)

hoq05goals = random.randint(1, homepower / 18)
hoq05points = random.randint(1, homepower / 12)
hoq05total = (hoq05goals * 6) + hoq05points
awq05goals = random.randint(1, awaypower / 20)
awq05points = random.randint(1, awaypower / 14)
awq05total = (awq05goals * 6) + awq05points
sys.stdout = writer(sys.stdout, fout)
print "---------{START MATCH}---------"
print """

And here's the bounce!
And we're 10 minutes in!
Brilliant playing there!
The scoreboard stands like this:
 _____________________________
|""",stadiumname,""" Scoreboard       |
|_____________________________|
|""",hometeam,"""       |""",hoq05goals,"""|""",hoq05points,"""|""",hoq05total,"""|
|_______________|___|____|____|                              
|""",awayteam,"""       |""",awq05goals,"""|""",awq05points,"""|""",awq05total,"""|
|_______________|___|____|____|
|             |     |         |
| 1st Quarter |10:00|""",matchtype,"""|
|_____________|_____|_________|
|Attendance:""",spectators,""" |
|_____________________________|"""
if hoq05total > awq05total:
    print "Halfway through the 1st Quarter",hometeam,"are beating",awayteam,hoq05total,"to",awq05total,"Well Done"
elif hoq05total < awq05total:
    print "Halfway through the 1st Quarter",awayteam,"are beating",hometeam,awq05total,"to",hoq05total,"Well Done"
elif hoq05total == awq05total:
    print "Halfway through the 1st Quarter, The match is tied at",hoq1total,"all."

hoq1goals = hoq05goals + random.randint(1, homepower / 18)
hoq1points = hoq05points + random.randint(1, homepower / 12)
hoq1total = (hoq1goals * 6) + hoq1points
awq1goals = awq05goals + random.randint(1, awaypower / 20)
awq1points = awq05points + random.randint(1, awaypower / 14)
awq1total = (awq1goals * 6) + awq1points
time.sleep(5)
print """

And that's the end of the quarter!
Brilliant quarter there!
The end of quarter scoreboard stands like this:
 _____________________________
|""",stadiumname,""" Scoreboard       |
|_____________________________|
|""",hometeam,"""       |""",hoq1goals,"""|""",hoq1points,"""|""",hoq1total,"""|
|_______________|___|____|____|                              
|""",awayteam,"""       |""",awq1goals,"""|""",awq1points,"""|""",awq1total,"""|
|_______________|___|____|____|
|                             |
| Quarter Time """,matchtype,"""|
|_____________________________|
|Attendance:""",spectators,""" |
|_____________________________|"""
if hoq1total > awq1total:
    print "At Quarter Time",hometeam,"are beating",awayteam,hoq1total,"to",awq1total,"Well Done"
    easygui.msgbox("The leaders at Quarter Time are: " + hometeam, "Quarter Time")
    easygui.msgbox("The trailers at Quarter Time are: " + awayteam, "Quarter Time")
elif hoq1total < awq1total:
    print "At Quarter Time",awayteam,"are beating",hometeam,awq1total,"to",hoq1total,"Well Done"
    easygui.msgbox("The leaders at Quarter Time are: " + awayteam, "Quarter Time")
    easygui.msgbox("The trailers at Quarter Time are: " + hometeam, "Quarter Time")
elif hoq1total == awq1total:
    print "At Quarter Time, The match is tied at",hoq1total,"all."
    easygui.msgbox("The match is tied", "Quarter Time")

hoq15goals = hoq1goals + random.randint(1, homepower / 18)
hoq15points = hoq1goals + random.randint(1, homepower / 12)
hoq15total = (hoq15goals * 6) + hoq15points
awq15goals = awq1goals + random.randint(1, awaypower / 20)
awq15points = awq1goals + random.randint(1, awaypower / 14)
awq15total = (awq15goals * 6) + awq15points
time.sleep(5)
print """

And here's the bounce!
And we're 10 minutes in!
Brilliant playing there!
The scoreboard stands like this:
 _____________________________
|""",stadiumname,""" Scoreboard       |
|_____________________________|
|""",hometeam,"""       |""",hoq15goals,"""|""",hoq15points,"""|""",hoq15total,"""|
|_______________|___|____|____|                              
|""",awayteam,"""       |""",awq15goals,"""|""",awq15points,"""|""",awq15total,"""|
|_______________|___|____|____|
|             |     |         |
| 2nd Quarter |10:00|""",matchtype,"""|
|_____________|_____|_________|
|Attendance:""",spectators,""" |
|_____________________________|"""
if hoq15total > awq15total:
    print "Halfway through the 2nd Quarter",hometeam,"are beating",awayteam,hoq15total,"to",awq15total,"Well Done"
elif hoq15total < awq15total:
    print "Halfway through the 2nd Quarter",awayteam,"are beating",hometeam,awq15total,"to",hoq15total,"Well Done"
elif hoq15total == awq15total:
    print "Halfway through the 2nd Quarter, The match is tied at",hoq1total,"all."


hohtgoals = hoq15goals + random.randint(1, homepower / 18)
hohtpoints = hoq15points + random.randint(1, homepower / 12)
hohttotal = (hohtgoals * 6) + hohtpoints
awhtgoals = awq15goals + random.randint(1, awaypower / 20)
awhtpoints = awq15goals + random.randint(1, awaypower / 14)
awhttotal = (awhtgoals * 6) + awhtpoints
time.sleep(5)
print  """

And that's the end of the half!
Brilliant half there!
The end of half scoreboard stands like this:
 ______________________________
|""",stadiumname,""" Scoreboard       |
|______________________________
|""",hometeam,"""       |""",hohtgoals,"""|""",hohtpoints,"""|""",hohttotal,"""|
|_______________|____|____|____|                              
|""",awayteam,"""       |""",awhtgoals,"""|""",awhtpoints,"""|""",awhttotal,"""|
|_______________|____|____|____|
|                              |
| Half Time """,matchtype,"""    |
|___________________________ __|
|Attendance:""",spectators,""" |
|______________________________|"""
if hohttotal > awhttotal:
    print "At Half Time",hometeam,"are beating",awayteam,hohttotal,"to",awhttotal,"Well Done"
    easygui.msgbox("The leaders at Half Time are: " + hometeam, "Half Time")
    easygui.msgbox("The trailers at Half Time are: " + awayteam, "Half Time")
elif hohttotal < awhttotal:
    print "At Half Time",awayteam,"are beating",hometeam,awhttotal,"to",hohttotal,"Well Done"
    easygui.msgbox("The leaders at Half Time are: " + awayteam, "Half Time")
    easygui.msgbox("The trailers at Half Time are: " + hometeam, "Half Time")
elif hohttotal == awhttotal:
    print "At Half Time, The match is tied at",hohttotal,"all."
    easygui.msgbox("The match is tied", "Half Time")

hoq25goals = hohtgoals + random.randint(1, homepower / 18)
hoq25points = hohtgoals + random.randint(1, homepower / 12)
hoq25total = (hoq25goals * 6) + hoq25points
awq25goals = awhtgoals + random.randint(1, awaypower / 20)
awq25points = awhtgoals + random.randint(1, awaypower / 14)
awq25total = (awq25goals * 6) + awq25points
time.sleep(5)

print """

And here's the bounce!
And we're 10 minutes in!
Brilliant playing there!
The scoreboard stands like this:

 _____________________________
|""",stadiumname,""" Scoreboard       |
|_____________________________|
|""",hometeam,"""       |""",hoq25goals,"""|""",hoq25points,"""|""",hoq25total,"""|
|_______________|___|____|____|                              
|""",awayteam,"""       |""",awq25goals,"""|""",awq25points,"""|""",awq25total,"""|
|_______________|___|____|____|
|             |     |         |
| 3rd Quarter |10:00|""",matchtype,"""|
|_____________|_____|_________|
|Attendance:""",spectators,""" |
|_____________________________|"""
if hoq15total > awq15total:
    print "Halfway through the 3rd Quarter",hometeam,"are beating",awayteam,hoq25total,"to",awq25total,"Well Done"
elif hoq15total < awq15total:
    print "Halfway through the 3rd Quarter",awayteam,"are beating",hometeam,awq25total,"to",hoq25total,"Well Done"
elif hoq15total == awq15total:
    print "Halfway through the 3rd Quarter, The match is tied at",hoq1total,"all."

hoq3goals = hoq25goals + random.randint(1, homepower / 18)
hoq3points = hoq25points + random.randint(1, homepower / 12)
hoq3total = (hoq3goals * 6) + hoq3points
awq3goals = awq25goals + random.randint(1, awaypower / 20)
awq3points = awq25goals + random.randint(1, awaypower / 14)
awq3total = (awq3goals * 6) + awq3points
time.sleep(5)
print """

And that's the end of the quarter!
Brilliant quarter there!
The end of quarter scoreboard stands like this:
 _______________________________
|""",stadiumname,""" Scoreboard       |
| ______________________________
|""",hometeam,"""       |""",hoq3goals,"""|""",hoq3points,"""|""",hoq3total,"""|
|_______________|____|____|_____|                              
|""",awayteam,"""       |""",awq3goals,"""|""",awq3points,"""|""",awq3total,"""|
|_______________|____|____|_____|
|                               |
| Three Quarter Time """,matchtype,"""|
|_______________________________|
|Attendance:""",spectators,"""   |
|_______________________________|"""
if hoq3total > awq3total:
    print "At Three Quarter Time",hometeam,"are beating",awayteam,hoq3total,"to",awq3total,"Well Done"
    easygui.msgbox("The leaders at Three Quarter Time are: " + hometeam, "Three Quarter Time")
    easygui.msgbox("The trailers at Three Quarter Time are: " + awayteam, "Three Quarter Time")
elif hoq3total < awq3total:
    print "At Three Quarter Time",awayteam,"are beating",hometeam,awq3total,"to",hoq3total,"Well Done"
    easygui.msgbox("The leaders at Three Quarter Time are: " + awayteam, "Quarter Time")
    easygui.msgbox("The trailers at Three Quarter Time are: " + hometeam, "Quarter Time")
elif hoq3total == awq3total:
    print "At Three Quarter Time, The match is tied at",ho3qtotal,"all."
    easygui.msgbox("The match is tied", "Three Quarter Time")

hoq35goals = hoq3goals + random.randint(1, homepower / 18)
hoq35points = hoq3goals + random.randint(1, homepower / 12)
hoq35total = (hoq35goals * 6) + hoq35points
awq35goals = awq3goals + random.randint(1, awaypower / 20)
awq35points = awq3goals + random.randint(1, awaypower / 14)
awq35total = (awq35goals * 6) + awq35points
time.sleep(5)
print """

And here's the bounce!
And we're 10 minutes in!
Brilliant playing there!
The scoreboard stands like this:
 _____________________________
|""",stadiumname,""" Scoreboard       |
|_____________________________|
|""",hometeam,"""       |""",hoq35goals,"""|""",hoq35points,"""|""",hoq35total,"""|
|_______________|___|____|____|                              
|""",awayteam,"""       |""",awq35goals,"""|""",awq35points,"""|""",awq35total,"""|
|_______________|___|____|____|
|             |     |         |
| 4th Quarter |10:00|""",matchtype,"""|
|_____________|_____|_________|
|Attendance:""",spectators,""" |
|_____________________________|"""
if hoq35total > awq35total:
    print "Halfway through the 3rd Quarter",hometeam,"are beating",awayteam,hoq35total,"to",awq35total,"Well Done"
elif hoq35total < awq35total:
    print "Halfway through the 3rd Quarter",awayteam,"are beating",hometeam,awq35total,"to",hoq35total,"Well Done"
elif hoq35total == awq35total:
    print "Halfway through the 3rd Quarter, The match is tied at",hoq1total,"all."

hoftgoals = hoq35goals + random.randint(1, homepower / 18)
hoftpoints = hoq35points + random.randint(1, homepower / 12)
hofttotal = (hoftgoals * 6) + hoftpoints
awftgoals = awq35goals + random.randint(1, awaypower / 20)
awftpoints = awq35goals + random.randint(1, awaypower / 14)
awfttotal = (awftgoals * 6) + awftpoints
time.sleep(5)
print """

And that's the end of the game!
Brilliant game there!
The end of game scoreboard stands like this:
 _______________________________
|""",stadiumname,""" Scoreboard       |
| ______________________________
|""",hometeam,"""       |""",hoftgoals,"""|""",hoftpoints,"""|""",hofttotal,"""|
|_______________|____|____|_____|                              
|""",awayteam,"""       |""",awftgoals,"""|""",awftpoints,"""|""",awfttotal,"""|
|_______________|____|____|_____|
|                               |
| Full Time """,matchtype,"""     |
|_______________________________|
|Attendance:""",spectators,"""   |
|_______________________________|"""
if hofttotal > awfttotal:
    print "At Full Time",hometeam,"defeated",awayteam,hofttotal,"to",awfttotal,"Well Done"
    easygui.msgbox("The leaders at Full Time are: " + hometeam, "Full Time")
    easygui.msgbox("The trailers at Full Time are: " + awayteam, "Full Time")
    easygui.msgbox("THE WINNERS ARE: " + hometeam, "Full Time")
    easygui.msgbox("THEY ARE CHAMPIONS OF: " + matchtype, "Full Time")
elif hofttotal < awfttotal:
    print "At Full Time",awayteam,"defeated",hometeam,awfttotal,"to",hofttotal,"Well Done"
    easygui.msgbox("The leaders at Full Time are: " + awayteam, "Full Time")
    easygui.msgbox("The trailers at Full Time are: " + hometeam, "Full Time")
    easygui.msgbox("THE WINNERS ARE: " + awayteam, "Full Time")
    easygui.msgbox("THEY ARE CHAMPIONS OF: " + matchtype, "Full Time")
elif hofttotal == awfttotal:
    print "At Full Time, The match is tied at",hofttotal,"all."
    easygui.msgbox("The match is tied", "Full Time")
    easygui.msgbox("THE MATCH IS A DRAW!!!!", "Full Time")
    easygui.msgbox("Next week will be a replay of: " + matchtype, "Full Time")

print "---------{END MATCH}---------"
print "Log saved."
sys.stdout = saved
fout.close()

