import time
print "ARC Teamfile Creator, a teamfile creator for Aussie Rules Coach."
print 'Copyright (C) 2011  James-Robert Knight'
print ' '
print 'This program is free software: you can redistribute it and/or modify'
print 'it under the terms of the GNU General Public License as published by'
print 'the Free Software Foundation, either version 3 of the License, or'
print '(at your option) any later version.'
print ' '
print 'This program is distributed in the hope that it will be useful,'
print 'but WITHOUT ANY WARRANTY; without even the implied warranty of'
print 'MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the'
print 'GNU General Public License for more details.'
print ' '
print 'You should have received a copy of the GNU General Public License'
print 'along with this program.  If not, see <http://www.gnu.org/licenses/>.'
time.sleep(10)
yes = set(['yes','y', 'ye', ''])
no = set(['no','n'])
class writer :
        def __init__(self, *writers) :
                self.writers = writers

        def write(self, text) :
                for w in self.writers :
                        w.write(text)
import sys
import random
import easygui
saved = sys.stdout

fout = file('team_file.txt', 'w')
easygui.msgbox("Welcome to Aussie Rules Coach Team File Creator", "Welcome")
choice2 = easygui.buttonbox("Do you want to pick an AFL team?",
choices = ['yes', 'no'] )
if choice2 in yes:
    hometeam = easygui.choicebox("What is the home team?",
    choices = ['Blues', 'Bombers', 'Bulldogs', 'Cats', 'Crows', 'Dockers', 'Demons', 'Eagles', 'Giants', 'Hawks', 'Kangaroos', 'Lions', 'Magpies', 'Power', 'Saints', 'Suns', 'Swans', 'Tigers'] )
    awayteam = easygui.choicebox("What is the away team?",
    choices = ['Blues', 'Bombers', 'Bulldogs', 'Cats', 'Crows', 'Dockers', 'Demons', 'Eagles', 'Giants', 'Hawks', 'Kangaroos', 'Lions', 'Magpies', 'Power', 'Saints', 'Suns', 'Swans', 'Tigers'] )
elif choice2 in no:
    hometeam = easygui.enterbox("What is the home team?")
    awayteam = easygui.enterbox("What is the away team?")
else:
    sys.stdout.write("Please respond with 'yes' or 'no'")
homepower = easygui.enterbox('How good is the home team (20-100)?')
homepower = int(homepower)
if homepower < 20 or homepower > 100:
    print "Error: Match rating out of range. Try again"
    sys.exit()
awaypower = easygui.enterbox('How good is the away team (20-100)?')
awaypower = int(awaypower)
if awaypower < 20 or awaypower > 100:
    print "Error: Match rating out of range. Try again"
    sys.exit()
choice3 = easygui.buttonbox("Do you want to pick a stadium?",
choices = ['yes', 'no'] )
if choice3 in yes:
    stadiumname = easygui.choicebox("What is the stadium?",
    choices = ['Melbourne', 'Docklands', 'Sydney', 'Homebush', 'Cairns', 'West Sydney', 'Brisbane', 'Adelaide', 'Perth', 'Launceston', 'Darwin', 'Canberra', 'Gold Coast', 'Geelong'] )
elif choice3 in no:
    stadiumname = easygui.enterbox('What is the stadium?')
else:
    sys.stdout.write("Please respond with 'yes' or 'no'")
stadcapacity = easygui.enterbox('What is the capacity?')
choice4 = easygui.buttonbox("Do you want to pick a match type?",
choices = ['yes', 'no'] )
if choice4 in yes:
    matchtype = easygui.choicebox("What is the match?",
    choices = ['Pre-Season', 'Home & Away', 'Special', 'Finals Series', 'Grand Final'] )
elif choice4 in no:
    matchtype = easygui.enterbox('What is the match?')
else:
   sys.stdout.write("Please respond with 'yes' or 'no'")
sys.stdout = writer(sys.stdout, fout)

print hometeam
print awayteam
print homepower
print awaypower
print stadiumname
print stadcapacity
print matchtype

sys.stdout = saved
fout.close()
